jQuery 官方宣布 jQuery 2.0 的第二个 Beta
版本发布了,官方再次强调该版本不支持 IE 6/7/8.
如果要支持这三个版本请使用 jQuery 1.9.x

Atitit.jquery 版本新特性attilax总结 

可使用如下代码来兼容:

 

<!--[if lt IE 9]>
    <script src="jquery-1.9.1.js"></script>
<![endif]-->
<!--[if gte IE 9]><!-->
    <script src="jquery-2.0.0b2.js"></script>
<!--<![endif]-->

1. Jq1.4 1

下载 jquery 2.0 Beta2

澳门新葡亰游戏网址,2. 1.5 1

完整改进内容请看官方发行说明:

3. 1.6 3

4. Jq1.7 3

(文/开源中国)    

⒉提升了事件委派时的性能有了大幅度的提升,尤其是在ie7下;
4

⒊更好的在 ie 6/7/8 上支持 html5;
4

⒋切换动画更加直观;
4

⒌匿名模块定义 awd
4

⒍jQuery.Deferred
4

⒎jQuery.isNumeric()
4

5. Jq1.8 5

5.1. jQuery 1.8
5

5.1.1. 可定制
5

5.1.2. 自动生成CSS前缀
5

5.1.3. 动画
6

5.1.4. Sizzle,选择器引擎升级
6

5.1.5. XSS保护
6

5.1.6. 全局Ajax事件的绑定
6

5.2. jQuery 1.9
6

5.2.1. XSS保护
6

5.2.2. 移除$.browser,$.sub
7

6. 1.10 7

7. 1.11 / 2.1 新特性
7

网站地图xml地图